Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 597471 - CPU load 55-65% minimum from start-up
Summary: CPU load 55-65% minimum from start-up
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 13
Hardware: i686
OS: Linux
low
medium
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-05-29 03:36 UTC by Lofton Alley
Modified: 2011-06-27 16:58 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-06-27 16:58:32 UTC


Attachments (Terms of Use)

Description Lofton Alley 2010-05-29 03:36:51 UTC
Description of problem:After installing fedora 13 beta CPU load was running @60 -100% full time. Re-installed fedora 13 release and the problem remains. From start-up CPU load is 57% (averaged between two cores, but both are running 55-60% with few services running. 


Version-Release number of selected component (if applicable):
2.6.33.4-95.fc13.i686


How reproducible:
very. However, once, the CPU ran normally for a short time on start-up and then loaded up. Disabling extra services has no effect


Steps to Reproduce:
1. start-up
2.
3.
  
Actual results: medium-high cpu loading


Expected results:low (2-5%) cpu load after start-up


Additional info:
powertop:

 Detailed C-state information is not P-states (frequencies)
                                        2.40 Ghz    45.9%
                                        1.60 Ghz    54.1%




Wakeups-from-idle per second : 1216.3   interval: 5.0s
no ACPI power usage estimate available

Top causes for wakeups:
  88.3% (1983.0)     <kernel core> : hrtimer_start_range_ns (tick_sched_timer) 
   3.3% ( 74.6)       <interrupt> : ahci, uhci_hcd:usb3, nvidia 
   2.1% ( 47.8)        cairo-dock : hrtimer_start_range_ns (hrtimer_wakeup) 
   1.2% ( 26.2)          nautilus : hrtimer_start_range_ns (hrtimer_wakeup) 
   1.1% ( 25.4)       gnome-panel : hrtimer_start_range_ns (hrtimer_wakeup) 
   1.1% ( 23.6)   gnome-settings- : hrtimer_start_range_ns (hrtimer_wakeup) 

Suggestion: Enable USB autosuspend by pressing the U key or adding
usbcore.autosuspend=1 to the kernel command line in the grub config

Comment 1 Lofton Alley 2010-06-09 15:04:31 UTC
Finally had some time to play/mess with this and try to understand it better. I have done something to solve it, but without understanding it. So I will say again that I would rather  be lucky than good! I noticed that something was ticking in the process list, stopping and restarting so quickly that it just sort of jiggled everything. Finally reduced it down to metacity! Killed metacity and the problem solved itself, sort of i guess. I believe that there were two instances of metacity running because it didn't wipe the window, just dropped CPU use from 60% and up to 3-9% right at this moment. The next question is whether this will persist after a restart.. ..

Comment 2 Lofton Alley 2010-06-09 15:07:51 UTC
powertop now:

 Detailed C-state information is not P-states (frequencies)
                                        2.40 Ghz     0.0%
                                        1.60 Ghz   100.0%




Wakeups-from-idle per second : 439.2    interval: 5.0s
no ACPI power usage estimate available

Top causes for wakeups:
  27.1% (206.8)     <kernel core> : hrtimer_start_range_ns (tick_sched_timer) 
  25.3% (192.8)              java : hrtimer_start_range_ns (hrtimer_wakeup) 
  11.1% ( 85.0)              java : __mod_timer (process_timeout) 
   9.9% ( 75.2)       <interrupt> : ahci, uhci_hcd:usb3, nvidia 
   9.7% ( 74.0)     <kernel core> : hrtimer_start (tick_sched_timer) 
   5.3% ( 40.2)        cairo-dock : hrtimer_start_range_ns (hrtimer_wakeup) 

Suggestion: Enable USB autosuspend by pressing the U key or adding
usbcore.autosuspend=1 to the kernel command line in the grub config

Comment 3 Lofton Alley 2010-06-17 12:21:25 UTC
Ok, the latest, although no one seems to be paying attention. The metacity fix is not persistent but is reproducible. Killing the metacity process allows the cpu ticks to return to normal and for the cpu percentages to go back to 1-2% at idle. 

Unfortunately, I updated to the new kernel and new python stuff. Owwww!

New kernel seems to load but no x-server, or at least the startup seems to hang there, i'm going to see how to get verbose output on the start-up of the new kernel. I seem to remember doing that back a few years ago, but have not had difficulties like this in the recent past. 

The new python update also killed the nVidia module in the kernel (the old kernel that is) as well, without solving the kernel ticks. Also, probably not related, my iBus pinyin will not startup properly but it does seem to run if i do a little dance with waving hands and voodoo cries. Yes that sounds stupid but I really have not a clue why it won't work or why it will, sometimes work even when it says it can't. It suggests that i check the .imsettings.log file which does not exist, of course.

Anyway, if anyone has a suggestion or a request for data then please send it in. thanks

Comment 4 Bug Zapper 2011-06-02 12:58:00 UTC
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 5 Bug Zapper 2011-06-27 16:58:32 UTC
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.